import {
  a,
  c as r
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/hpkp.js
var i = r((s, t) => {
  t.exports = p;
  p.displayName = "hpkp";
  p.aliases = [];
  function p(e) {
    e.languages.hpkp = {
      directive: {
        pattern: /\b(?:includeSubDomains|max-age|pin-sha256|preload|report-to|report-uri|strict)(?=[\s;=]|$)/i,
        alias: "property"
      },
      operator: /=/,
      punctuation: /;/
    };
  }
  a(p, "hpkp");
});

export {
  i as a
};
